{
  "name": "winsun-project-ui",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve --open",
    "dev": "vue-cli-service serve --mode=dev",
    "local": "vue-cli-service serve --mode=local",
    "prod": "vue-cli-service serve --open",
    "build": "vue-cli-service build",
    "lint": "vue-cli-service lint",
    "test:unit": "vue-cli-service test:unit",
    "test:e2e": "vue-cli-service test:e2e"
  },
  "dependencies": {
    "@antv/data-set": "^0.10.2",
    "@tinymce/tinymce-vue": "^2.0.0",
    "ant-design-vue": "^1.4.12",
    "apexcharts": "^3.10.1",
    "axios": "^0.18.0",
    "clipboard": "^2.0.4",
    "codemirror": "^5.49.2",
    "dayjs": "^1.8.17",
    "echarts": "^4.9.0",
    "enquire.js": "^2.1.6",
    "html2canvas": "^1.0.0-rc.5",
    "js-cookie": "^2.2.1",
    "lodash.get": "^4.4.2",
    "lodash.pick": "^4.4.0",
    "mavon-editor": "^2.9.0",
    "md5": "^2.2.1",
    "moment": "^2.29.1",
    "npm": "^6.14.9",
    "nprogress": "^0.2.0",
    "qrcodejs2": "^0.0.2",
    "reqwest": "^2.0.5",
    "tinymce": "^5.1.1",
    "vant": "^2.5.2",
    "viser-vue": "^2.4.7",
    "vue": "^2.6.10",
    "vue-apexcharts": "^1.5.1",
    "vue-class-component": "^6.0.0",
    "vue-cropper": "^0.4.8",
    "vue-echarts": "^4.0.4",
    "vue-i18n": "^8.15.0",
    "vue-loader": "^15.7.2",
    "vue-ls": "^3.2.0",
    "vue-photo-preview": "^1.1.3",
    "vue-print-nb-jeecg": "^1.0.9",
    "vue-property-decorator": "^7.3.0",
    "vue-router": "^3.1.3",
    "vue-splitpane": "^1.0.4",
    "vuedraggable": "^2.23.2",
    "vuex": "^3.1.2",
    "vuex-class": "^0.3.1",
    "webpack": "^4.41.2"
  },
  "devDependencies": {
    "@babel/polyfill": "^7.7.0",
    "@vue/cli-plugin-babel": "^3.12.1",
    "@vue/cli-plugin-eslint": "^3.12.1",
    "@vue/cli-service": "^3.12.1",
    "@vue/eslint-config-standard": "^4.0.0",
    "babel-eslint": "^10.0.3",
    "eslint": "^5.16.0",
    "eslint-plugin-vue": "^5.1.0",
    "html-webpack-plugin": "^3.2.0",
    "less": "^3.10.3",
    "less-loader": "^4.1.0",
    "node-sass": "^4.13.0",
    "sass-loader": "^7.3.1",
    "vue-template-compiler": "^2.6.10"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/strongly-recommended",
      "eslint:recommended"
    ],
    "parserOptions": {
      "parser": "babel-eslint"
    },
    "rules": {
      "generator-star-spacing": "off",
      "no-mixed-operators": 0,
      "vue/max-attributes-per-line": [
        2,
        {
          "singleline": 5,
          "multiline": {
            "max": 1,
            "allowFirstLine": false
          }
        }
      ],
      "vue/attribute-hyphenation": 0,
      "vue/html-self-closing": 0,
      "vue/component-name-in-template-casing": 0,
      "vue/html-closing-bracket-spacing": 0,
      "vue/singleline-html-element-content-newline": 0,
      "vue/no-unused-components": 0,
      "vue/multiline-html-element-content-newline": 0,
      "vue/no-use-v-if-with-v-for": 0,
      "vue/html-closing-bracket-newline": 0,
      "vue/no-parsing-error": 0,
      "no-console": 0,
      "indent": [
        "off",
        2
      ],
      "linebreak-style": [
        0,
        "error",
        "windows"
      ]
    }
  },
  "postcss": {
    "plugins": {
      "autoprefixer": {}
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ]
}
